AttachAPINotFoundException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.lang, class: AttachAPINotFoundException

Package org.apache.geode.lang

# Class AttachAPINotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.lang.AttachAPINotFoundException

All Implemented Interfaces:
  `Serializable`

public class AttachAPINotFoundException extends RuntimeException
The AttachAPINotFoundException class is a RuntimeException indicating that the JDK tools.jar has not been properly set on the user's classpath

Since:
  GemFire 7.0
See Also:
  - `RuntimeException`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachAPINotFoundException()`
  Constructs an instance of the AttachAPINotFoundException class.
  `AttachAPINotFoundException(String message)`
  Constructs an instance of the AttachAPINotFoundException class with a description of the problem.
  `AttachAPINotFoundException(String message, Throwable cause)`
  Constructs an instance of the AttachAPINotFoundException class with a reference to the underlying Exception causing this Exception to be thrown in addition to a description of the problem.
  `AttachAPINotFoundException(Throwable cause)`
  Constructs an instance of the AttachAPINotFoundException class with a reference to the underlying Exception causing this Exception to be thrown.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AttachAPINotFoundException

    public AttachAPINotFoundException()
    Constructs an instance of the AttachAPINotFoundException class.

  - ### AttachAPINotFoundException

    public AttachAPINotFoundException(String message)
    Constructs an instance of the AttachAPINotFoundException class with a description of the problem.

    Parameters:
      `message` - a String describing the nature of the Exception and why it was thrown.

  - ### AttachAPINotFoundException

    public AttachAPINotFoundException(Throwable cause)
    Constructs an instance of the AttachAPINotFoundException class with a reference to the underlying Exception causing this Exception to be thrown.

    Parameters:
      `cause` - a Throwable indicating the reason this Exception was thrown.

  - ### AttachAPINotFoundException

    public AttachAPINotFoundException(String message, Throwable cause)
    Constructs an instance of the AttachAPINotFoundException class with a reference to the underlying Exception causing this Exception to be thrown in addition to a description of the problem.

    Parameters:
      `message` - a String describing the nature of the Exception and why it was thrown.
      `cause` - a Throwable indicating the reason this Exception was thrown.